import { LitElement } from 'lit';
export declare const ICON_JOOMLA = "icon-joomla";
export declare class IconJoomlaComponent extends LitElement {
    static readonly defaultTagName = "icon-joomla";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
